/*******************************************************************************
 * Copyright (c) 2011 Google, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Google, Inc. - initial API and implementation
 *******************************************************************************/
package org.eclipse.wb.internal.core.databinding.parser;

import org.eclipse.wb.internal.core.databinding.model.IDatabindingsProvider;

import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * The parse-wide state. It contains information about current parse session.
 *
 * @author lobas_av
 * @coverage bindings.parser
 */
public final class ParseState {
  public final IDatabindingsProvider databindingsProvider;
  public final AbstractUIPlugin plugin;

  ////////////////////////////////////////////////////////////////////////////
  //
  // Constructor
  //
  ////////////////////////////////////////////////////////////////////////////
  public ParseState(IDatabindingsProvider databindingsProvider, AbstractUIPlugin plugin) {
    this.databindingsProvider = databindingsProvider;
    this.plugin = plugin;
  }
}